Summary: A simple and configurable traffic shaper for CEFET-PR
Name: cefetshaper
Version: 0.1
Release: 2
Source: http://www.dancab.com/proj/cefetshaper/files/%{name}-%{version}.tar.gz
Packager: Daniel Mealha Cabrita <dancab@gmx.net>
Copyright: GNU GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: Applications/Misc

%prep 
%setup

%build

%install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 755 etc/init.d/%{name} %{buildroot}%{_sysconfdir}/rc.d/init.d
install -m 600 etc/%{name}/* %{buildroot}%{_sysconfdir}/%{name}

%post
chkconfig --add %{name}

%clean
rm -rf %{buildroot}

%preun
%{_sysconfdir}/rc.d/init.d/%{name} stop_silent
rm -f `ls -R %{_sysconfdir}/rc.d/rc*.d/S*%{name} 2>/dev/null` \
      `ls -R %{_sysconfdir}/rc.d/rc*.d/K*%{name} 2>/dev/null`

%files
%doc COPYING
%doc README
%{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/%{name}/*
%dir %attr(2755,root,root) %{_sysconfdir}/%{name}

%description
A simple and configurable traffic shaper for CEFET-PR

%changelog

* Mon Jun 20 2005 Daniel Mealha Cabrita <dancab@gmx.net>
- added chkconfig --add

* Sun May 16 2005 Daniel Mealha Cabrita <dancab@gmx.net>
- Version 0.1

