#!/bin/sh

# O proposito deste script  criar os arquivos de configuracao
# para traffic shaping para cada uma das unidades do CEFET,
# baseando-se no modelo (arquivo: cefet_modelo)

ARQ_MODELO=cefet_modelo


cria_arq_config ()
{
        ARQ_CONFIG=$1
	IP_AFETADO=$2
	COMENTARIO=$3

	echo \# ARQUIVO DE CONFIGURACAO GERADO AUTOMATICAMENTE >${ARQ_CONFIG}
	echo \# PELO SCRIPT cria_configs.sh >>${ARQ_CONFIG}
	echo " " >>${ARQ_CONFIG}
	echo \# ${COMENTARIO} >>${ARQ_CONFIG}
	echo AFFECTED_ADDRESS=${IP_AFETADO} >>${ARQ_CONFIG}
	echo " " >>${ARQ_CONFIG}
	cat ${ARQ_MODELO} >>${ARQ_CONFIG}		
}



# Ponta Grossa
cria_arq_config pg.shaper 200.134.81.16/28 "Ponta Grossa"

# Pato Branco
cria_arq_config pb.shaper 200.134.81.32/28 "Pato Branco"

# Medianeira
cria_arq_config md.shaper 200.134.81.48/28 "Medianeira"

# Cornelio Procopio
cria_arq_config cp.shaper 200.134.81.64/28 "Cornelio Procopio"

# Campo Mourao
cria_arq_config cm.shaper 200.134.81.80/28 "Campo Mourao"


# (fim do script)
